Subject: [BugDB] SSL_CLIENT_CERT_CHAIN_* ist missing (bugfix included) (PR#725)

From: [email-masked]
Date: Fri, 28 Jun 2002 21:40:16 +0200 (MET DST)

Full_Name: Steffen Ullrich
Version: 2.8.10
OS: Linux
Submission from: (NULL) (217.228.234.65)

SSL_CLIENT_CERT_CHAIN_* is missing. The problem can be tracked down
to following code in ssl_engine_vars.c:

    309     else if (ssl != NULL && strlen(var) > 18 && strcEQn(var,
"CLIENT_CERT_CHAIN_", 18)) {
    310         sk = SSL_get_peer_cert_chain(ssl);
    311         result = ssl_var_lookup_ssl_cert_chain(p, sk, var+17);

in line 311 it must be 'var+18' instead of 'var+17', then everything
works again
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]